## com.imcode.imcms.api
Class I18nLanguage

    java.lang.Object
      com.imcode.imcms.api.I18nLanguage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class I18nLanguage

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`I18nLanguage()`

Method Summary
`I18nLanguage` `clone()`
`boolean` `equals(java.lang.Object object)`
`java.lang.String` `getCode()`
`java.lang.Integer` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getNativeName()`
`int` `hashCode()`
`java.lang.Boolean` `isDefault()`
`java.lang.Boolean` `isEnabled()`
`void` `setCode(java.lang.String code)`
`void` `setDefault(java.lang.Boolean systemDefault)`
`void` `setEnabled(java.lang.Boolean enabled)`
`void` `setId(java.lang.Integer id)`
`void` `setName(java.lang.String name)`
`void` `setNativeName(java.lang.String nativeName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I18nLanguage

    public I18nLanguage()

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public I18nLanguage clone()

  Overrides:
    `clone` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### getCode

    public java.lang.String getCode()

### setCode

    public void setCode(java.lang.String code)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getNativeName

    public java.lang.String getNativeName()

### setNativeName

    public void setNativeName(java.lang.String nativeName)

### isDefault

    public java.lang.Boolean isDefault()

### setDefault

    public void setDefault(java.lang.Boolean systemDefault)

### isEnabled

    public java.lang.Boolean isEnabled()

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)